Re: [PATCH] t9500: skip gitweb tests if perl version is too old

2 messages, 2 authors, 2016-06-15 · open the first message on its own page

Re: [PATCH] t9500: skip gitweb tests if perl version is too old

From: Junio C Hamano <hidden>
Date: 2016-06-15 22:43:17

Sven Verdoolaege [off-list ref] writes:
quoted hunk
gitweb calls Encode::decode_utf8 with two arguments,
but old versions of perl only allow this function to be called
with one argument.  Even older versions of perl do not even
have an Encode module.

Signed-off-by: Sven Verdoolaege <redacted>
---
 t/t9500-gitweb-standalone-no-errors.sh |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/t/t9500-gitweb-standalone-no-errors.sh b/t/t9500-gitweb-standalone-no-errors.sh
index 44ae503..d948724 100755
--- a/t/t9500-gitweb-standalone-no-errors.sh
+++ b/t/t9500-gitweb-standalone-no-errors.sh
@@ -60,6 +60,12 @@ gitweb_run () {
 
 . ./test-lib.sh
 
+perl -MEncode -e 'decode_utf8("", Encode::FB_CROAK)' >/dev/null 2>&1 || {
+    test_expect_success 'skipping gitweb tests, perl version is too old' :
+    test_done
+    exit
+}
+
Hmph.  Even something silly like:

	perl -MEncode -e 'decode_utf8("", Encode::FB_CLUCK)'

seem to succeed for me with 5.8.8.

Maybe you would want "perl -w" there instead?

Re: [PATCH] t9500: skip gitweb tests if perl version is too old

From: Sven Verdoolaege <hidden>
Date: 2016-06-15 22:43:17

On Fri, Jun 22, 2007 at 11:31:40PM -0700, Junio C Hamano wrote:
Sven Verdoolaege [off-list ref] writes:
quoted
+perl -MEncode -e 'decode_utf8("", Encode::FB_CROAK)' >/dev/null 2>&1 || {
+    test_expect_success 'skipping gitweb tests, perl version is too old' :
+    test_done
+    exit
+}
+
Hmph.  Even something silly like:

	perl -MEncode -e 'decode_utf8("", Encode::FB_CLUCK)'

seem to succeed for me with 5.8.8.
Maybe I'm missing something, but it's supposed to succeed
for perl versions that are recent enough.


I get

bash-3.00$ perl -MEncode -e 'decode_utf8("", Encode::FB_CROAK)'
Too many arguments for Encode::decode_utf8 at -e line 1, at end of line
Execution of -e aborted due to compilation errors.
bash-3.00$ perl --version

This is perl, v5.8.0 built for i686-linux-thread-multi

Copyright 1987-2002, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using `man perl' or `perldoc perl'.  If you have access to the
Internet, point your browser at http://www.perl.com/, the Perl Home Page.

(See also http://article.gmane.org/gmane.comp.version-control.git/50354)

skimo
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help